package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazardWarmMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazardWarm;
import com.goldenwater.slaj.hazard.service.ITBusiHazardWarmService;

/**
 * 危险源风险预警评估 服务层实现
 */
@Service
public class TBusiHazardWarmServiceImpl implements ITBusiHazardWarmService {

    @Autowired
    private TBusiHazardWarmMapper tBusiHazardWarmMapper;

    /**
     * 查询危险源风险预警评估信息
     * @param guid 查询条件
     * @return 危险源风险预警评估信息
     */
    @Override
    public TBusiHazardWarm selectTBusiHazardWarmByGuid(String guid) {
        return tBusiHazardWarmMapper.selectTBusiHazardWarmByGuid(guid);
    }

    /**
     * 查询危险源风险预警评估列表
     * @param tBusiHazardWarm 危险源风险预警评估查询条件
     * @return 危险源风险预警评估集合
     */
    @Override
    public List<TBusiHazardWarm> selectTBusiHazardWarmList(TBusiHazardWarm tBusiHazardWarm) {
        return tBusiHazardWarmMapper.selectTBusiHazardWarmList(tBusiHazardWarm);
    }

    /**
     * 新增危险源风险预警评估
     * @param tBusiHazardWarm 危险源风险预警评估信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazardWarm(TBusiHazardWarm tBusiHazardWarm) {
        return tBusiHazardWarmMapper.insertTBusiHazardWarm(tBusiHazardWarm);
    }

    /**
     * 修改危险源风险预警评估
     * @param tBusiHazardWarm 危险源风险预警评估信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazardWarm(TBusiHazardWarm tBusiHazardWarm) {
        return tBusiHazardWarmMapper.updateTBusiHazardWarm(tBusiHazardWarm);
    }

    /**
     * 删除危险源风险预警评估
     * @param guid 危险源风险预警评估主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazardWarmByGuid(String guid) {
        return tBusiHazardWarmMapper.deleteTBusiHazardWarmByGuid(guid);
    }

    /**
     * 批量删除危险源风险预警评估
     * @param guids 危险源风险预警评估主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazardWarmByGuids(String[] guids) {
        return tBusiHazardWarmMapper.deleteTBusiHazardWarmByGuids(guids);
    }
}
